package tests;

import java.awt.Color;
import java.awt.Paint;

import fr.lri.swingstates.canvas.CRectangle;

/*
 * Icne zombie utilise pour le "drag-and-drop"
 */
public class ZombieIcon extends CRectangle {
	private static final Paint DEFAULT_FILL_PAINT = new Color(230, 230, 230, 100);
	private static final Paint DEFAULT_OUTLINE_PAINT = new Color(200, 200, 200);
	
	public ZombieIcon(double x, double y, Icon icon){
		super(x - icon.getWidth()/2, y - icon.getHeight()/2, icon.getWidth(), icon.getHeight());
		
		setFillPaint(DEFAULT_FILL_PAINT);
		setOutlinePaint(DEFAULT_OUTLINE_PAINT);
		
		setPickable(false);
	}
	
}
